#56510 closed defect (fixed)

mlt uses kde without declaring a dependency on it

Reported by: ryandesign (Ryan Schmidt) Owned by: ddennedy (Dan Dennedy)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: RJVB (René Bertin)
Port: mlt

Description

Which results in, among other things, building mlt universal failing when kde is not installed universal:

ld: warning: directory not found for option '-L/opt/local/lib//kde4/devel'
ld: warning: ignoring file /opt/local/lib/libkdecore.dylib, file was built for x86_64 which is not the architecture being linked (i386): /opt/local/lib/libkdecore.dylib
Undefined symbols for architecture i386:
  "KComponentData::KComponentData(QByteArray const&, QByteArray const&, KComponentData::MainComponentRegistration)", referenced from:
      _init_qimage in qimage_wrapper.o
ld: symbol(s) not found for architecture i386

Attachments (1)

main.log.bz2 (12.8 KB) - added by ryandesign (Ryan Schmidt) 11 months ago.

Download all attachments as: .zip

Change History (6)

Changed 11 months ago by ryandesign (Ryan Schmidt)

Attachment: main.log.bz2 added

comment:1 Changed 11 months ago by RJVB (René Bertin)

This is about the Kdenlive module, right? (The one for which no configure option appears to exist?)

I haven't looked at what it does/offers, but it being a module suggests that it's loaded dynamically, and that technically it c/should be possible to have a universal melt install with the Kdenlive module built only for the single architecture used for KDE.

If so, that would be far preferable in my eyes than requiring KDE to be +universal if for some reason you need melt to be +universal. The KDE module could then be deployed as an additional subport, which installs only that component.

Something about that component I could probably find out myself via the code: the KDE4 or the KF5 version, or does that depend on whether you build for Qt4 or for Qt5?

comment:2 Changed 11 months ago by ddennedy (Dan Dennedy)

The MLT qt module opportunistically uses KDE (at configure time) for additional image format support on Qt 4. It can be disabled with --without-kde . I can submit a pull request for that soon.

Last edited 11 months ago by ddennedy (Dan Dennedy) (previous) (diff)

comment:4 Changed 11 months ago by ddennedy (Dan Dennedy)

In 423744ba684190cc1a92525fb85c6289ff2c8e66/macports-ports (master):

mlt: fix depency on KDE for qt(4) module

Fixes ticket #56510

comment:5 Changed 11 months ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.